5.3.0-git
2016-10-01

[#11977] Support "link" as new topbar item status
Summary Support "link" as new topbar item status
Queue Horde Base
Queue Version Git master
Type Enhancement
State Resolved
Priority 1. Low
Owners lang (at) b1-systems (dot) de
Requester lang (at) b1-systems (dot) de
Created 2013-01-17 (1353 days ago)
Due
Updated 2013-12-17 (1019 days ago)
Assigned 2013-09-02 (1125 days ago)
Resolved 2013-11-05 (1061 days ago)
Milestone
Patch Yes

History
2013-12-17 10:23:19 Git Commit Comment #8 Reply to this comment
Changes have been made in Git (master):

commit 60fff40ed918fea840f55c2192daad3ec1e8cbd9
Author: Ralf Lang <lang@b1-systems.de>
Date:   Mon Jun 24 12:57:04 2013 +0300

     [rla] Add support for external links in topbar (Feature #11977).

  framework/Core/lib/Horde/Core/Topbar.php |    3 ++-
  framework/Core/lib/Horde/Registry.php    |    3 ++-
  framework/Core/package.xml               |    2 ++
  3 files changed, 6 insertions(+), 2 deletions(-)

http://git.horde.org/horde-git/-/commit/60fff40ed918fea840f55c2192daad3ec1e8cbd9
2013-11-05 15:52:49 Ralf Lang (B1 Systems GmbH) Comment #7
State ⇒ Resolved
Reply to this comment
Done
2013-09-02 20:19:50 Jan Schneider Comment #6
State ⇒ Assigned
Reply to this comment
Still needs to be documented in config/registry.php.
2013-08-28 13:45:02 Git Commit Comment #5 Reply to this comment
Changes have been made in Git (master):

commit ab944cb25976f3f86505694280bafc55e652417b
Author: Ralf Lang <lang@b1-systems.de>
Date:   Mon Jun 24 12:57:04 2013 +0300

     [rla] Add support for external links in topbar (Feature #11977).

     Conflicts:
             framework/Core/package.xml

  framework/Core/lib/Horde/Core/Topbar.php |    3 ++-
  framework/Core/lib/Horde/Registry.php    |    3 ++-
  framework/Core/package.xml               |   16 +++++++++-------
  3 files changed, 13 insertions(+), 9 deletions(-)

http://git.horde.org/horde-git/-/commit/ab944cb25976f3f86505694280bafc55e652417b
2013-07-11 22:29:32 Ralf Lang (B1 Systems GmbH) State ⇒ Resolved
 
2013-06-24 10:01:20 Ralf Lang (B1 Systems GmbH) Comment #4
Summary ⇒ Support "link" as new topbar item status
Reply to this comment
Sorry for the delay. Implemented in horde_5_2 branch. It's "link" now.
2013-03-04 12:19:58 Ralf Lang (B1 Systems GmbH) Comment #3 Reply to this comment
The attached patch implements this (lacking documentation in horde base)
When the target branch is clear, I will add documentation in registry.php
Don't call it "website". Implement in 5.1 branch
2013-01-17 13:57:56 Ralf Lang (B1 Systems GmbH) Comment #2
Assigned to Ralf Lang (B1 Systems GmbH)
State ⇒ Assigned
Patch ⇒ Yes
New Attachment: topbar_external_url_support.patch Download
Reply to this comment
The attached patch implements this (lacking documentation in horde base)
When the target branch is clear, I will add documentation in registry.php
2013-01-17 12:19:16 Ralf Lang (B1 Systems GmbH) Comment #1
Type ⇒ Enhancement
State ⇒ New
Priority ⇒ 1. Low
Summary ⇒ Support "website" as new topbar item status
Queue ⇒ Horde Base
Milestone ⇒
Patch ⇒ No
Reply to this comment
Add support for "website" as new topbar item status with attributes 
name, menu_parent, url.
These should also make a heading  visible when it only contains 
contains "website" but no "active" items.

This allows adding external links like intranet resources to the topbar.

Does this feature need to go into develop instead of master?